<p>title: Operator Ternary
description:</p>
<hr />
<p>Ternary operator adalah suatu operator kondisional yang mana <em>hanya</em> mempunyai 3 expression di dalam pernyataannya. Namun sejak programmer PHP menggunakan operator ternary untuk kepentingan pembanding, ternary operator juga digolongkan menjadi operator pembanding. </p>
<p>Ternary operator merupakan operator bawaan bahasa C, yang mana bisa kita gunakan dengan di versi <strong>PHP 5.3</strong>.</p>
<p>cara penggunaan ternary operator adalah membandingkan <strong>expr1</strong> dan menghasilkan <strong>expr2</strong> jika benar, atau menghasilkan <strong>expr3</strong> jika salah.
dalam pengkondisian if else</p>
<pre><code>&lt;?php
$nilai = 85;
if($nilai &gt; 70)
{
echo 'Baik';
}
else
{
echo 'Buruk';
}
?&gt;</code></pre>
<pre><code>(expr1) ? (expr2) : (expr3) </code></pre>
<p>Menggunakan Operator Ternary</p>
<pre><code>&lt;?php
$nilai = 85;
echo $nilai &gt; 70 ? 'Baik' : 'Buruk';
?&gt;</code></pre>
<h2>Praktek</h2>
<p>Perhatikan kode di atas pada kolom editor, kira-kira output apa yang akan muncul bila kode tersebut dijalankan? Cek perkiraan Kamu dengan menjalankan kode tersebut.​</p>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/operator-ternary"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.       </p>